Go to the first, previous, next, last section, table of contents.

# 2. Sample Output

Here are some realistic examples of running `gzip`.

This is the output of the command ``gzip -h'`:

    gzip 1.2.4 (18 Aug 93)
    usage: gzip [-cdfhlLnNrtvV19] [-S suffix] [file ...]
     -c --stdout      write on standard output, keep original files unchanged
     -d --decompress  decompress
     -f --force       force overwrite of output file and compress links
     -h --help        give this help
     -l --list        list compressed file contents
     -L --license     display software license
     -n --no-name     do not save or restore the original name and time stamp
     -N --name        save or restore the original name and time stamp
     -q --quiet       suppress all warnings
     -r --recursive   operate recursively on directories
     -S .suf  --suffix .suf     use suffix .suf on compressed files
     -t --test        test compressed file integrity
     -v --verbose     verbose mode
     -V --version     display version number
     -1 --fast        compress faster
     -9 --best        compress better
     file...          files to (de)compress. If none given, use standard input.

This is the output of the command ``gzip -v texinfo.tex'`:

    texinfo.tex:             71.6% -- replaced with texinfo.tex.gz

The following command will find all `gzip` files in the current directory and subdirectories, and extract them in place without destroying the original:

    find . -name '*.gz' -print | sed 's/^\(.*\)[.]gz$/gunzip < "&" > "\1"/' | sh

Go to the first, previous, next, last section, table of contents.